-- -------------------------
-- Main Dialog
-- -------------------------

PR.GUI.Btn_Top1 = iup.stationbutton { title = "", expand = "HORIZONTAL" }
PR.GUI.Btn_Top2 = iup.stationbutton { title = "", expand = "HORIZONTAL" }
PR.GUI.Btn_Top3 = iup.stationbutton { title = "", expand = "HORIZONTAL" }
PR.GUI.Btn_Top4 = iup.stationbutton { title = "", expand = "HORIZONTAL" }

PR.GUI.UserInput = iup.text {
    bgcolor = PR.GUI.Color.Teal,
    fgcolor = PR.GUI.Color.Gray,
    expand = "HORIZONTAL"
}

PR.GUI.DisplayPanel = iup.stationsubsublist { expand = "YES" }

PR.GUI.Btn_Bottom1 = iup.stationbutton { title = "Save Settings", expand = "HORIZONTAL" }
PR.GUI.Btn_Bottom2 = iup.stationbutton { title = "Close", expand = "HORIZONTAL" }
PR.GUI.Btn_Bottom3 = iup.stationbutton { title = "Reset Sector",
    expand = "HORIZONTAL",
    fgcolor = PR.GUI.Color.Red
}

PR.GUI.Btn_100Plus = iup.stationbutton { title = "+100" }
PR.GUI.Btn_100Minus = iup.stationbutton { title = "-100" }

PR.GUI.EditBox = iup.hbox {
    PR.GUI.UserInput,
    PR.GUI.Btn_100Plus,
    PR.GUI.Btn_100Minus
}

PR.GUI.MainDialog = iup.dialog {
    iup.vbox {
        iup.hbox {
            bgcolor = PR.GUI.Color.Teal,
            PR.GUI.Btn_Top1,
            PR.GUI.Btn_Top2,
            PR.GUI.Btn_Top3,
            PR.GUI.Btn_Top4,
        },
        PR.GUI.DisplayPanel,
        iup.hbox {
            bgcolor = PR.GUI.Color.Teal,
            PR.GUI.Btn_Bottom1,
            PR.GUI.Btn_Bottom2,
            PR.GUI.Btn_Bottom3
        }
    },
    title = PR.PluginTitle,
    size = "HALFxTHREEQUARTER",
    topmost = "YES",
    resize = "NO",
    menubox = "YES",
    defaultesc = PR.GUI.Btn_Bottom2,
}


-- -------------------------
-- Reset Confirmation Dialog
-- -------------------------

PR.GUI.Btn_ConfirmationReset = iup.stationbutton {
    title = "Reset all data for current sector",
    expand = "HORIZONTAL",
    fgcolor = PR.GUI.Color.Red
}

PR.GUI.Btn_ConfirmationCancel = iup.stationbutton {
    title = "Cancel",
    expand = "HORIZONTAL"
}

PR.GUI.ConfirmationDialog = iup.dialog {
    iup.vbox {
        iup.hbox {
            bgcolor = PR.GUI.Color.Teal,
            expand = "HORIZONTAL",
            PR.GUI.Btn_ConfirmationCancel,
            PR.GUI.Btn_ConfirmationReset
        }
    },
    title = "Are you sure?",
    topmost = "YES",
    resize = "NO",
    defaultenter = PR.GUI.Btn_ConfirmationCancel,
    defaultesc = PR.GUI.Btn_ConfirmationCancel
}
